idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.ElabDecls

Description

Synopsis

- recinfo :: FC -> ElabInfo
- elabMain :: Idris Term
- elabPrims :: Idris ()
- elabDecls :: ElabInfo -> [PDecl] -> Idris ()
- elabDecl :: ElabWhat -> ElabInfo -> PDecl -> Idris ()
- elabDecl' :: ElabWhat -> ElabInfo -> PDecl -> StateT IState (ExceptT Err IO) ()

# Documentation

recinfo :: FC -> ElabInfo #

Top level elaborator info, supporting recursive elaboration

elabMain :: Idris Term #

Return the elaborated term which calls `main`

elabPrims :: Idris () #

Elaborate primitives

elabDecls :: ElabInfo -> [PDecl] -> Idris () #

elabDecl :: ElabWhat -> ElabInfo -> PDecl -> Idris () #

elabDecl' :: ElabWhat -> ElabInfo -> PDecl -> StateT IState (ExceptT Err IO) () #